Subject: Re: Diagnosing linux-next (Was: Re: m68k libc5 regression)

From: Andrew Morton <[email-masked]>
Date: Sun, 1 Jun 2008 23:22:15 -0700

On Mon, 2 Jun 2008 15:49:59 +1000 Paul Mackerras <[email-masked]> wrote:

> Andrew Morton writes:
> 
> > On Mon, 2 Jun 2008 12:12:29 +1000 Paul Mackerras <[email-masked]> wrote:
> > > There's now a facility for viewing diffs in an external viewer.  If
> > > you do Edit->Preferences and set the "External diff tool" thing to
> > > tkdiff, then you can right-click on a file name in the file list
> > > (bottom right-hand pane) and select "External diff" and it will launch
> > > tkdiff to show you the diffs for that file.
> > 
> > <upgrades>
> > 
> > OK, that works, thanks.  Right-clicking on each file is the sole way to
> > bring it up?
> 
> At the moment, yes.  Do you want something different?

No, that's OK.

> > > What is it you like about tkdiff?  Is it the side-by-side display, or
> > > the highlighting of differences within a line, or the merge facility?
> > 
> > I like the side-by-side display.  I hardly look at the left (previous) side
> > at all - it's a good way of seeing the change in a larger context.
> 
> I see.  There are a couple of features in gitk you might find useful,
> then: you can get the gitk diff window to display just the new
> version (or just the old version) using the radio buttons just above
> the diff pane.  You can also get it to show more context with the
> spinbox to the right of the radio buttons.
> 
> Something that dirdiff can do is to let you pick up the separator line
> and drag it upwards or downwards to see more context.  Maybe I should
> add that to gitk too.

I like to see the new code with lines-which-changed highlighted (the
tkdiff RHS).  But the LHS is useful sometimes too.

tkdiff works fine for me - I guess it's what you're used to.

eg: when I apply a patch with -F1 and it fails, then I apply it without
-F1 and it applies, I have to go in and check that the hunks which
didn't apply with -F1 actually landed in the right place.  So to find
hunk 14 of 24 I click tkdiff's 'Next' button 13 times.